/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#ifndef ___EX_UTILS_H___
#define ___EX_UTILS_H___

L_CHAR *
get_delim_list(XL_SEXP * arg);
int get_writing_dir(L_CHAR *);
XL_SEXP *
ex_body(XLISP_ENV * env,XL_SEXP * arg,
	XLISP_ENV * a,
	XL_SYM_FIELD * sf);
L_CHAR *
ex_option_copy(L_CHAR * org,L_CHAR * delim,L_CHAR * opt);
void
init_ex_language(XLISP_ENV * env);

int cmp_format(L_CHAR * dir,char * cmd);
XL_SEXP *
ex_language(XLISP_ENV * env,XL_SEXP * s,
	XLISP_ENV * a,
	XL_SYM_FIELD * sf);
XL_SEXP * ex_ja_line_end_escape_delim(XLISP_ENV * env,XL_SEXP * s,
	XLISP_ENV * a,XL_SYM_FIELD * sf);
XL_SEXP * ex_ja_line_top_escape_delim(XLISP_ENV * env,XL_SEXP * s,
	XLISP_ENV * a,XL_SYM_FIELD * sf);
XL_SEXP * ex_ja_writing_dir(XLISP_ENV * env,XL_SEXP * s,
	XLISP_ENV * a,XL_SYM_FIELD * sf);
void init_ex_ja(XLISP_ENV * env);
XL_SEXP * ex_en_delim(XLISP_ENV * env,XL_SEXP * s,
	XLISP_ENV * a,XL_SYM_FIELD * sf);
XL_SEXP * ex_en_space(XLISP_ENV * env,XL_SEXP * s,
	XLISP_ENV * a,XL_SYM_FIELD * sf);
void init_ex_en(XLISP_ENV * env);


#endif


